/*Copyright (c) 2012 Moussa Dembélé (www.mousman.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/
package com.mousman.as3.agal
{
	import com.mousman.as3.agal.camera.IMCamera;
	import com.mousman.as3.agal.light.IMLight;
	import com.mousman.as3.agal.mesh.IMMesh;
	/**
	 * ...
	 * @author Moussa Dembélé (www.mousman.com)
	 */
	public class MWorld3D 
	{
		
		private var _cameras:Vector.<IMCamera>;
		private var _meshes:Vector.<IMMesh>;
		private var _lights:Vector.<IMLight>;

		public function MWorld3D() 
		{
		}

		public function render():void {
			
		}
		
		public function get cameras():Vector.<IMCamera> {return _cameras;}
		public function set cameras(value:Vector.<IMCamera>):void {_cameras = value;}
		
		public function get meshes():Vector.<IMMesh> {return _meshes;}
		public function set meshes(value:Vector.<IMMesh>):void {_meshes = value;}
		
		public function get lights():Vector.<IMLight> {	return _lights;}
		public function set lights(value:Vector.<IMLight>):void { _lights = value; }
	}

}